### Hierarchy

- StateMatcher

## Index

### Constructors

- constructor

### Properties

- _states

### Methods

- find
- isRelative
- resolvePath

## Constructors

- new StateMatcher(_states: object): StateMatcher

- #### Parameters

  - ##### _states object

    - ##### [key: string]: StateObject

  #### Returns StateMatcher

  - Defined in state/stateMatcher.ts:7

## Properties

_states: object

#### Type declaration

- ##### [key: string]: StateObject

- Defined in state/stateMatcher.ts:8

## Methods

- find(stateOrName: StateOrName, base?: StateOrName, matchGlob?: boolean): StateObject

- #### Parameters

  - ##### stateOrName StateOrName

  - ##### base: Optional StateOrName

  - ##### matchGlob: Default value boolean = true

  #### Returns StateObject

  - Defined in state/stateMatcher.ts:16

- isRelative(stateName: string): boolean

- #### Parameters

  - ##### stateName string

  #### Returns boolean

  - Defined in state/stateMatcher.ts:10

- resolvePath(name: string, base: StateOrName): string

- #### Parameters

  - ##### name string

  - ##### base StateOrName

  #### Returns string

  - Defined in state/stateMatcher.ts:42

Generated using TypeDoc